## android 20150818

=== ubuntu/platform-api/src/ubuntu/hardware/tests/CMakeLists.txt ===
set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} --std=c++11 -fPIC")

include_directories(
  ${CMAKE_BINARY_DIR}/include
)

add_executable(test_android_gps_api test_gps_api.cpp)
target_link_libraries(test_android_gps_api ubuntu_platform_hardware_api)

add_executable(test_hardware_alarms_api test_alarms_api.cpp)
target_link_libraries(test_hardware_alarms_api ubuntu_platform_hardware_api)

install(TARGETS
	test_android_gps_api
    test_hardware_alarms_api
	DESTINATION bin
)

=== ubuntu/platform-api/src/ubuntu/application/touch/hybris/tests/CMakeLists.txt ===
set(SOURCES ubuntu_application_api_hybris.cpp)

add_executable(test_android_ubuntu_app_api test_c_api.cpp)
target_link_libraries(test_android_ubuntu_app_api ubuntu_application_api EGL GLESv2)

add_executable(test_android_gps_api test_gps_api.cpp)
target_link_libraries(test_android_gps_api ubuntu_platform_hardware_api)

add_executable(test_android_ubuntu_app_api_multiple_surfaces test_multiple_surfaces_event_delivery.cpp)
target_link_libraries(test_android_ubuntu_app_api_multiple_surfaces ubuntu_application_api EGL GLESv2)

add_executable(test_android_sensors_api test_sensors_api.cpp)
target_link_libraries(test_android_sensors_api ubuntu_application_api)

add_executable(test_android_ubuntu_session_api test_session_c_api.cpp)
target_link_libraries(test_android_ubuntu_session_api ubuntu_application_api)

add_executable(test_ubuntu_app_api_location_service test_location_api.cpp)
target_link_libraries(test_ubuntu_app_api_location_service ubuntu_application_api)

add_executable(test_hardware_alarms_api test_alarms_api.cpp)
target_link_libraries(test_hardware_alarms_api ubuntu_platform_hardware_api)

install(TARGETS
	test_android_ubuntu_app_api
	test_android_gps_api
	test_android_ubuntu_app_api_multiple_surfaces
	test_android_sensors_api
	test_android_ubuntu_session_api
	test_ubuntu_app_api_location_service
	test_hardware_alarms_api
	DESTINATION bin
)

## android 20150818-1500

=== debian/changelog ===
android (20150818-1500-0ubuntu2) wily; urgency=medium

  * debian/rules:
    - Use --no-all-versions for apt-cache to avoid build failures due to
      multiple versions being available for one package where we're only
      interested in the candidate version.

 -- Simon Fels <simon.fels@canonical.com>  Mon, 07 Sep 2015 10:49:16 +0200

android (20150818-1500-0ubuntu1) wily; urgency=medium

  * Sync with vivid.
  * New upstream release:
    - add support for camera trust store integration

 -- Simon Fels <simon.fels@canonical.com>  Fri, 04 Sep 2015 11:41:55 +0200

android (20150805-1538-0ubuntu1) wily; urgency=medium

  * New upstream release:
    - fix critical bug with userdata erase when files to backup/restore
      doesn't exist. Happens especially on devices installed the first
      time with Ubuntu.

 -- Simon Fels <simon.fels@canonical.com>  Thu, 06 Aug 2015 09:20:27 +0200

android (20150731-1420-0ubuntu1) wily; urgency=medium

  * New upstream release:
    - whitelist certain files which should not be deleted when formatting the
      userdata partition.

 -- Simon Fels <simon.fels@canonical.com>  Mon, 03 Aug 2015 12:57:16 +0200

android (20150706-1040-0ubuntu1) wily; urgency=medium

  * New upstream release:
    - system-image-upgrader: correctly format userdata partition

 -- Simon Busch <simon.busch@canonical.com>  Mon, 06 Jul 2015 14:39:03 +0200

android (20150519-2220-0ubuntu5) wily; urgency=medium

  * android-targets: dropping grouper support, no kernel for it anymore in the
    archive

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Wed, 20 May 2015 23:21:23 -0300

android (20150519-2220-0ubuntu4) wily; urgency=medium

  * debian/control: adding missing cpio as build-dep

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Wed, 20 May 2015 01:05:38 -0300

android (20150519-2220-0ubuntu3) wily; urgency=medium

  * debian/control: adding kmod as build-dep (for depmod)

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Wed, 20 May 2015 00:32:52 -0300

android (20150519-2220-0ubuntu2) wily; urgency=medium

  * debian/patches/using_wily_by_default.patch:
    - Using wily when fetching and using the external components

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Tue, 19 May 2015 20:57:43 -0300

android (20150519-2220-0ubuntu1) wily; urgency=medium

  * New upstream release:
    - recovery: aborting when finding an invalid signature
    - update-system-img.sh: making it compatible with krillin
    - fixing camera fps range for goldfish
    - apns-conf.xml: syncing apns database with latest from AOSP
    - dropping patches already available in upstream

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Tue, 19 May 2015 20:08:23 -0300

=== debian/control ===
Source: android
Section: non-free/otherosfs
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Dmitrijs Ledkovs <xnox@ubuntu.com>
Build-Depends: debhelper (>= 9),
  g++-multilib, g++-4.8-multilib, gcc-4.8, g++-4.8,
  gcc-arm-linux-androideabi, devscripts,
  gcc-i686-linux-android, dh-exec,
  python3-apt, kmod, cpio,
  gnupg, flex, bison, gperf,
  zip, unzip, curl, libncurses5-dev, x11proto-core-dev,
  libx11-dev, libreadline6-dev, libgl1-mesa-glx,
  libsdl-dev, libesd0-dev,
  libgl1-mesa-dev, g++-mingw-w64-i686, tofrodos, bsdiff,
  python-markdown, libxml2-utils, xsltproc, zlib1g-dev, schedtool,
  patchutils, quilt, lsb-release, android-src-vendor (>= 6)
Standards-Version: 3.9.4

Package: android
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: android Ubuntu Touch images
 This is the android portion of Ubuntu Touch images.

Package: android-emulator
Depends: ubuntu-emulator-runtime, ubuntu-emulator-images, ${misc:Depends}
Architecture: all
Section: oldlibs
Description: transitional dummy package
 This is a transitional dummy package. It can safely be removed.

Package: ubuntu-emulator-runtime
Architecture: i386
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}, qemu-utils, libgl1-mesa-glx
Replaces: android-emulator (<< 20131202-2236-0ubuntu7~)
Breaks: android-emulator (<< 20131202-2236-0ubuntu7~)
Description: Ubuntu Touch emulator runtime
 Emulator for the Ubuntu Touch images.
 .
 This package provides the runtime.

Package: ubuntu-emulator-images
Architecture: i386
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}, ubuntu-emulator-runtime (= ${binary:Version})
Replaces: android-emulator (<< 20131202-2236-0ubuntu7~)
Breaks: android-emulator (<< 20131202-2236-0ubuntu7~)
Description: Ubuntu Touch emulator
 Emulator for the Ubuntu Touch images.
 .
 This package provides the images.

Package: android-copyright
Architecture: all
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: dummy package with android copyright files
 This is a dummy package shipping android copyright files

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/dpkg/default.mk

export DH_VERBOSE=1

#export http_proxy=http://127.0.9.1:9
#export https_proxy=http://127.0.9.1:9

# Required when landing via a silo
# LANDING_URL = http://ppa.launchpad.net/ci-train-ppa-service/landing-002/ubuntu
ifeq ($(wildcard /CurrentlyBuilding),)
MAIN_URL  = http://archive.ubuntu.com/ubuntu
PORTS_URL = http://ports.ubuntu.com
else
MAIN_URL  = http://ftpmaster.internal/ubuntu
PORTS_URL = http://ftpmaster.internal/ubuntu
endif

depends = $(shell chdist --data-dir repo --arch $(call getarch,$(2)) apt-cache $(dist) show --no-all-versions linux-image-$(strip $(1)):$(strip $(call getarch,$(2))) | sed -n 's/Depends: .*\(linux-image-.*-$(strip $(1))\).*/\1:$(strip $(call getarch,$(2)))/p')
getproduct = $(shell egrep "^$(1)\s" debian/android-targets | awk -F' ' '{print $$2}')
getkernel = $(shell egrep "^$(1)\s" debian/android-targets | awk -F' ' '{print $$3}')
getarch = $(shell egrep "^$(1)\s" debian/android-targets | awk -F' ' '{print $$4}')

# Forcing dist to wily as we're still building this package on a utopic PPA (arch:all needs amd64 on vivid)
# dist=$(DEB_DISTRIBUTION)
dist=wily

export BUILD_ID=$(dist)
export BUILD_NUMBER=$(DEB_VERSION)

DEVICES = $(shell egrep "^[a-z]" debian/android-targets | awk -F' ' '{print $$1}' | xargs echo)
SRC ?= libhybris platform-api

device = $(basename $(notdir $@))

%:
	dh $@

stamps/chdist:
	rm -rf repo
	chdist --data-dir repo --arch armhf create $(dist)
	# armhf
	echo "deb [arch=armhf] $(PORTS_URL) $(dist) main universe restricted multiverse" >> repo/$(dist)/etc/apt/sources.list
	echo "deb-src $(PORTS_URL) $(dist) main universe restricted multiverse" >> repo/$(dist)/etc/apt/sources.list
	echo "deb [arch=armhf] $(PORTS_URL) $(dist)-updates main universe restricted multiverse" >> repo/$(dist)/etc/apt/sources.list
	echo "deb-src $(PORTS_URL) $(dist)-updates main universe restricted multiverse" >> repo/$(dist)/etc/apt/sources.list
	echo "deb [arch=armhf] $(PORTS_URL) $(dist)-proposed main universe restricted multiverse" >> repo/$(dist)/etc/apt/sources.list
	echo "deb-src $(PORTS_URL) $(dist)-proposed main universe restricted multiverse" >> repo/$(dist)/etc/apt/sources.list
	echo "deb [arch=armhf] $(PORTS_URL) $(dist)-security main universe restricted multiverse" >> repo/$(dist)/etc/apt/sources.list
	echo "deb-src $(PORTS_URL) $(dist)-security main universe restricted multiverse" >> repo/$(dist)/etc/apt/sources.list
	# i386
	echo "deb [arch=i386] $(MAIN_URL) $(dist) main universe restricted multiverse" >> repo/$(dist)/etc/apt/sources.list
	echo "deb-src $(MAIN_URL) $(dist) main universe restricted multiverse" >> repo/$(dist)/etc/apt/sources.list
	echo "deb [arch=i386] $(MAIN_URL) $(dist)-updates main universe restricted multiverse" >> repo/$(dist)/etc/apt/sources.list
	echo "deb-src $(MAIN_URL) $(dist)-updates main universe restricted multiverse" >> repo/$(dist)/etc/apt/sources.list
	echo "deb [arch=i386] $(MAIN_URL) $(dist)-proposed main universe restricted multiverse" >> repo/$(dist)/etc/apt/sources.list
	echo "deb-src $(MAIN_URL) $(dist)-proposed main universe restricted multiverse" >> repo/$(dist)/etc/apt/sources.list
	echo "deb [arch=i386] $(MAIN_URL) $(dist)-security main universe restricted multiverse" >> repo/$(dist)/etc/apt/sources.list
	echo "deb-src $(MAIN_URL) $(dist)-security main universe restricted multiverse" >> repo/$(dist)/etc/apt/sources.list
	# Landing PPA
	# echo "deb [arch=armhf,i386] $(LANDING_URL) $(dist) main" >> repo/$(dist)/etc/apt/sources.list
	# echo "deb-src $(LANDING_URL) $(dist) main" >> repo/$(dist)/etc/apt/sources.list
	cat repo/$(dist)/etc/apt/sources.list
	chdist --data-dir $(CURDIR)/repo apt-get $(dist) update
	cd repo/$(dist) && chdist --data-dir $(CURDIR)/repo --arch armhf apt-get $(dist) --allow-unauthenticated source $(SRC)
	cd repo/$(dist) && chdist --data-dir $(CURDIR)/repo --arch armhf apt-get $(dist) download ubuntu-touch-generic-initrd:armhf initramfs-tools-ubuntu-touch:armhf
	cd repo/$(dist) && chdist --data-dir $(CURDIR)/repo --arch i386 apt-get $(dist) download ubuntu-touch-generic-initrd:i386 initramfs-tools-ubuntu-touch:i386
	mkdir -p stamps && touch $@

stamps/%.fetch: stamps/chdist
	cd repo/$(dist) && chdist --data-dir $(CURDIR)/repo --arch $(call getarch,$(device)) apt-get $(dist) download $(call depends,$(call getkernel,$(device)),$(device))
	product=$(call getproduct,$(device)); \
	kernel=$(call getkernel,$(device)); \
	if [ "$(device)" != "$$kernel" ]; then \
		cd repo/$(dist) && cp linux-image-*-$${kernel}*_$(strip $(call getarch,$(device))).deb linux-image-3.any-$${product}_$(strip $(call getarch,$(device))).deb; \
	fi;
	mkdir -p stamps && touch $@

stamps/prepare-android: stamps/chdist
	rm -rf ubuntu/libhybris ubuntu/platform-api
	cp -r repo/$(dist)/libhybris-* ubuntu/libhybris
	rm -rf ubuntu/libhybris/.pc
	cp -r repo/$(dist)/platform-api-* ubuntu/platform-api
	rm -rf vendor
	cp -r /usr/src/android/vendor .
	mkdir -p stamps && touch $@

stamps/%.build: SHELL=/bin/bash

stamps/%.build: stamps/prepare-android stamps/%.fetch
	rm -rf out/target/product/$(device)/*.img
	. ./build/envsetup.sh; lunch aosp_$(device)-userdebug; dh_auto_build --parallel -- showcommands
	mkdir -p stamps && touch $@

build: build-arch build-indep

build-arch: stamps/chdist $(DEVICES:%=stamps/%.build)
build-indep:

override_dh_auto_clean:
	rm -rf stamps out repo ubuntu/platform-api ubuntu/libhybris debian/intall vendor
	rm -rf debian/$(DEB_SOURCE).copyright

override_dh_auto_install:

override_dh_install:
	echo "#!/usr/bin/dh-exec" > debian/android.install
	while read target product device uarch aarch; do \
		expr $$target : "^#" > /dev/null && continue; \
		echo "out/target/product/$$product/boot.img => usr/share/android/product/ubuntu-preinstalled-boot-$$uarch+$$product.img" >> debian/android.install; \
		echo "out/target/product/$$product/android-ramdisk.img => usr/share/android/product/ubuntu-android-ramdisk+$$product.img" >> debian/android.install; \
		echo "out/target/product/$$product/recovery.img => usr/share/android/product/ubuntu-preinstalled-recovery-$$aarch+$$product.img" >> debian/android.install; \
		echo "out/target/product/$$product/system.img => usr/share/android/product/ubuntu-preinstalled-system-$$aarch+$$product.img" >> debian/android.install; \
		echo "out/target/product/$$product/ramdisk.img => usr/share/android/product/ubuntu-ramdisk+$$product.img" >> debian/android.install; \
		echo "out/target/product/$$product/ramdisk-recovery.img => usr/share/android/product/ubuntu-ramdisk-recovery+$$product.img" >> debian/android.install; \
	done <debian/android-targets
	chmod +x debian/android.install
	dh_install
	# ubuntu-emulator-runtime
	tar -c \
		out/host/linux-x86/bin/emulator \
		out/host/linux-x86/bin/emulator-* \
		out/host/linux-x86/bin/simg2img \
		out/host/linux-x86/lib/ \
		out/host/linux-x86/usr/ \
		development/tools/emulator/skins \
		| tar -C debian/ubuntu-emulator-runtime/usr/share/android/emulator/ -x
	# ubuntu-emulator-images images/data
	tar -c \
		out/target/product/generic/ubuntu/kernel/vmlinuz \
		out/target/product/generic/*.img \
		out/target/product/generic/system/build.prop \
		prebuilts/qemu-kernel/arm/kernel-qemu-armv7 \
		| tar -C debian/ubuntu-emulator-images/usr/share/android/emulator/ -x

override_dh_installdocs:
	make -f debian/rules copyright COPYRIGHT_ALL=True
	dh_installdocs

override_dh_shlibdeps:
	dh_shlibdeps
	sed -i -e 's/libc6-amd64/libc6:amd64/' debian/ubuntu-emulator-runtime.substvars
	sed -i -e 's/lib64stdc++6/libstdc++6:amd64/' debian/ubuntu-emulator-runtime.substvars

SOURCES=$(filter-out debian prebuilts vendor, $(wildcard *)) prebuilts/qemu-kernel/*/LINUX_KERNEL_COPYING

get-orig-source:
	fakeroot ./debian/rules clean
	make -f debian/rules copyright
	-quilt pop -a -f
	tar --exclude-vcs --transform='s,^,$(DEB_SOURCE)-$(DEB_VERSION_UPSTREAM)/,S' -caf ../$(DEB_SOURCE)_$(DEB_VERSION_UPSTREAM).orig.tar.xz $(SOURCES)

copyright:

## android 20160330

=== build/core/Makefile ===
# Put some miscellaneous rules here

# Pick a reasonable string to use to identify files.
ifneq "" "$(filter eng.%,$(BUILD_NUMBER))"
  # BUILD_NUMBER has a timestamp in it, which means that
  # it will change every time.  Pick a stable value.
  FILE_NAME_TAG := eng.$(USER)
else
  FILE_NAME_TAG := $(BUILD_NUMBER)
endif

is_tests_build := $(filter tests,$(MAKECMDGOALS))

# -----------------------------------------------------------------
# Define rules to copy PRODUCT_COPY_FILES defined by the product.
# PRODUCT_COPY_FILES contains words like <source file>:<dest file>[:<owner>].
# <dest file> is relative to $(PRODUCT_OUT), so it should look like,
# e.g., "system/etc/file.xml".
# The filter part means "only eval the copy-one-file rule if this
# src:dest pair is the first one to match the same dest"
#$(1): the src:dest pair
define check-product-copy-files
$(if $(filter %.apk, $(1)),$(error \
    Prebuilt apk found in PRODUCT_COPY_FILES: $(1), use BUILD_PREBUILT instead!))
endef
# filter out the duplicate <source file>:<dest file> pairs.
unique_product_copy_files_pairs :=
$(foreach cf,$(PRODUCT_COPY_FILES), \
    $(if $(filter $(unique_product_copy_files_pairs),$(cf)),,\
        $(eval unique_product_copy_files_pairs += $(cf))))
unique_product_copy_files_destinations :=
$(foreach cf,$(unique_product_copy_files_pairs), \
    $(eval _src := $(call word-colon,1,$(cf))) \
    $(eval _dest := $(call word-colon,2,$(cf))) \
    $(call check-product-copy-files,$(cf)) \
    $(if $(filter $(unique_product_copy_files_destinations),$(_dest)), \
        $(info PRODUCT_COPY_FILES $(cf) ignored.), \
        $(eval _fulldest := $(call append-path,$(PRODUCT_OUT),$(_dest))) \
        $(if $(filter %.xml,$(_dest)),\
            $(eval $(call copy-xml-file-checked,$(_src),$(_fulldest))),\
            $(eval $(call copy-one-file,$(_src),$(_fulldest)))) \
        $(eval ALL_DEFAULT_INSTALLED_MODULES += $(_fulldest)) \
        $(eval unique_product_copy_files_destinations += $(_dest))))
unique_product_copy_files_pairs :=
unique_product_copy_files_destinations :=

# -----------------------------------------------------------------
# docs/index.html
ifeq (,$(TARGET_BUILD_APPS))
gen := $(OUT_DOCS)/index.html
ALL_DOCS += $(gen)
$(gen): frameworks/base/docs/docs-redirect-index.html
	@mkdir -p $(dir $@)
	@cp -f $< $@
endif

# -----------------------------------------------------------------
# default.prop
INSTALLED_DEFAULT_PROP_TARGET := $(TARGET_ROOT_OUT)/default.prop
ALL_DEFAULT_INSTALLED_MODULES += $(INSTALLED_DEFAULT_PROP_TARGET)
ADDITIONAL_DEFAULT_PROPERTIES := \
    $(call collapse-pairs, $(ADDITIONAL_DEFAULT_PROPERTIES))
ADDITIONAL_DEFAULT_PROPERTIES += \
    $(call collapse-pairs, $(PRODUCT_DEFAULT_PROPERTY_OVERRIDES))
ADDITIONAL_DEFAULT_PROPERTIES := $(call uniq-pairs-by-first-component, \
    $(ADDITIONAL_DEFAULT_PROPERTIES),=)

$(INSTALLED_DEFAULT_PROP_TARGET):
	@echo Target buildinfo: $@
	@mkdir -p $(dir $@)
	$(hide) echo "#" > $@; \
	        echo "# ADDITIONAL_DEFAULT_PROPERTIES" >> $@; \
	        echo "#" >> $@;
	$(hide) $(foreach line,$(ADDITIONAL_DEFAULT_PROPERTIES), \
		echo "$(line)" >> $@;)
	build/tools/post_process_props.py $@

# -----------------------------------------------------------------
# build.prop
INSTALLED_BUILD_PROP_TARGET := $(TARGET_OUT)/build.prop
ALL_DEFAULT_INSTALLED_MODULES += $(INSTALLED_BUILD_PROP_TARGET)
ADDITIONAL_BUILD_PROPERTIES := \
    $(call collapse-pairs, $(ADDITIONAL_BUILD_PROPERTIES))
ADDITIONAL_BUILD_PROPERTIES := $(call uniq-pairs-by-first-component, \
    $(ADDITIONAL_BUILD_PROPERTIES),=)

# A list of arbitrary tags describing the build configuration.
# Force ":=" so we can use +=
BUILD_VERSION_TAGS := $(BUILD_VERSION_TAGS)
ifeq ($(TARGET_BUILD_TYPE),debug)
  BUILD_VERSION_TAGS += debug
endif
# The "test-keys" tag marks builds signed with the old test keys,
# which are available in the SDK.  "dev-keys" marks builds signed with
# non-default dev keys (usually private keys from a vendor directory).
# Both of these tags will be removed and replaced with "release-keys"
# when the target-files is signed in a post-build step.
ifeq ($(DEFAULT_SYSTEM_DEV_CERTIFICATE),build/target/product/security/testkey)
BUILD_KEYS := test-keys
else
BUILD_KEYS := dev-keys
endif
BUILD_VERSION_TAGS += $(BUILD_KEYS)
BUILD_VERSION_TAGS := $(subst $(space),$(comma),$(sort $(BUILD_VERSION_TAGS)))

# A human-readable string that descibes this build in detail.
build_desc := $(TARGET_PRODUCT)-$(TARGET_BUILD_VARIANT) $(PLATFORM_VERSION) $(BUILD_ID) $(BUILD_NUMBER) $(BUILD_VERSION_TAGS)
$(INSTALLED_BUILD_PROP_TARGET): PRIVATE_BUILD_DESC := $(build_desc)

# The string used to uniquely identify this build;  used by the OTA server.
ifeq (,$(strip $(BUILD_FINGERPRINT)))
  BUILD_FINGERPRINT := $(PRODUCT_BRAND)/$(TARGET_PRODUCT)/$(TARGET_DEVICE):$(PLATFORM_VERSION)/$(BUILD_ID)/$(BUILD_NUMBER):$(TARGET_BUILD_VARIANT)/$(BUILD_VERSION_TAGS)
endif
ifneq ($(words $(BUILD_FINGERPRINT)),1)
  $(error BUILD_FINGERPRINT cannot contain spaces: "$(BUILD_FINGERPRINT)")
endif

# Display parameters shown under Settings -> About Phone
ifeq ($(TARGET_BUILD_VARIANT),user)
  # User builds should show:
  # release build number or branch.buld_number non-release builds

  # Dev. branches should have DISPLAY_BUILD_NUMBER set
  ifeq "true" "$(DISPLAY_BUILD_NUMBER)"
    BUILD_DISPLAY_ID := $(BUILD_ID).$(BUILD_NUMBER) $(BUILD_KEYS)
  else
    BUILD_DISPLAY_ID := $(BUILD_ID) $(BUILD_KEYS)
  endif
else
  # Non-user builds should show detailed build information
  BUILD_DISPLAY_ID := $(build_desc)
endif

# Whether there is default locale set in PRODUCT_PROPERTY_OVERRIDES
product_property_override_locale_language := $(strip \
    $(patsubst ro.product.locale.language=%,%,\
    $(filter ro.product.locale.language=%,$(PRODUCT_PROPERTY_OVERRIDES))))
product_property_overrides_locale_region := $(strip \
    $(patsubst ro.product.locale.region=%,%,\
    $(filter ro.product.locale.region=%,$(PRODUCT_PROPERTY_OVERRIDES))))

# Selects the first locale in the list given as the argument,
# and splits it into language and region, which each may be
# empty.
define default-locale
$(subst _, , $(firstword $(1)))
endef

# Selects the first locale in the list given as the argument
# and returns the language (or the region), if it's not set in PRODUCT_PROPERTY_OVERRIDES;
# Return empty string if it's already set in PRODUCT_PROPERTY_OVERRIDES.
define default-locale-language
$(if $(product_property_override_locale_language),,$(word 1, $(call default-locale, $(1))))
endef
define default-locale-region
$(if $(product_property_overrides_locale_region),,$(word 2, $(call default-locale, $(1))))
endef

BUILDINFO_SH := build/tools/buildinfo.sh

ifdef TARGET_SYSTEM_PROP
system_prop_file := $(TARGET_SYSTEM_PROP)
else
system_prop_file := $(wildcard $(TARGET_DEVICE_DIR)/system.prop)
endif

$(INSTALLED_BUILD_PROP_TARGET): $(BUILDINFO_SH) $(INTERNAL_BUILD_ID_MAKEFILE) $(BUILD_SYSTEM)/version_defaults.mk $(system_prop_file)
	@echo Target buildinfo: $@
	@mkdir -p $(dir $@)
	$(hide) TARGET_BUILD_TYPE="$(TARGET_BUILD_VARIANT)" \
			TARGET_DEVICE="$(TARGET_DEVICE)" \
			PRODUCT_NAME="$(TARGET_PRODUCT)" \
			PRODUCT_BRAND="$(PRODUCT_BRAND)" \
			PRODUCT_DEFAULT_LANGUAGE="$(call default-locale-language,$(PRODUCT_LOCALES))" \
			PRODUCT_DEFAULT_REGION="$(call default-locale-region,$(PRODUCT_LOCALES))" \
			PRODUCT_DEFAULT_WIFI_CHANNELS="$(PRODUCT_DEFAULT_WIFI_CHANNELS)" \
			PRODUCT_MODEL="$(PRODUCT_MODEL)" \
			PRODUCT_MANUFACTURER="$(PRODUCT_MANUFACTURER)" \
			PRIVATE_BUILD_DESC="$(PRIVATE_BUILD_DESC)" \
			BUILD_ID="$(BUILD_ID)" \
			BUILD_DISPLAY_ID="$(BUILD_DISPLAY_ID)" \
			BUILD_NUMBER="$(BUILD_NUMBER)" \
			PLATFORM_VERSION="$(PLATFORM_VERSION)" \
			PLATFORM_SDK_VERSION="$(PLATFORM_SDK_VERSION)" \
			PLATFORM_VERSION_CODENAME="$(PLATFORM_VERSION_CODENAME)" \
			BUILD_VERSION_TAGS="$(BUILD_VERSION_TAGS)" \
			TARGET_BOOTLOADER_BOARD_NAME="$(TARGET_BOOTLOADER_BOARD_NAME)" \
			BUILD_FINGERPRINT="$(BUILD_FINGERPRINT)" \
			TARGET_BOARD_PLATFORM="$(TARGET_BOARD_PLATFORM)" \
			TARGET_CPU_ABI="$(TARGET_CPU_ABI)" \
			TARGET_CPU_ABI2="$(TARGET_CPU_ABI2)" \
			TARGET_AAPT_CHARACTERISTICS="$(TARGET_AAPT_CHARACTERISTICS)" \
	        bash $(BUILDINFO_SH) > $@
	$(hide) $(foreach file,$(system_prop_file), \
		if [ -f "$(file)" ]; then \
			echo "#" >> $@; \
			echo Target buildinfo from: "$(file)"; \
			echo "# from $(file)" >> $@; \
			echo "#" >> $@; \
			cat $(file) >> $@; \
		fi;)
	$(if $(ADDITIONAL_BUILD_PROPERTIES), \
		$(hide) echo >> $@; \
		        echo "#" >> $@; \
		        echo "# ADDITIONAL_BUILD_PROPERTIES" >> $@; \
		        echo "#" >> $@; )
	$(hide) $(foreach line,$(ADDITIONAL_BUILD_PROPERTIES), \
		echo "$(line)" >> $@;)
	$(hide) build/tools/post_process_props.py $@

build_desc :=

# -----------------------------------------------------------------
# sdk-build.prop
#
# There are certain things in build.prop that we don't want to
# ship with the sdk; remove them.

# This must be a list of entire property keys followed by
# "=" characters, without any internal spaces.
sdk_build_prop_remove := \
	ro.build.user= \
	ro.build.host= \
	ro.product.brand= \
	ro.product.manufacturer= \
	ro.product.device=
# TODO: Remove this soon-to-be obsolete property
sdk_build_prop_remove += ro.build.product=
INSTALLED_SDK_BUILD_PROP_TARGET := $(PRODUCT_OUT)/sdk/sdk-build.prop
$(INSTALLED_SDK_BUILD_PROP_TARGET): $(INSTALLED_BUILD_PROP_TARGET)
	@echo SDK buildinfo: $@
	@mkdir -p $(dir $@)
	$(hide) grep -v "$(subst $(space),\|,$(strip \
				$(sdk_build_prop_remove)))" $< > $@.tmp
	$(hide) for x in $(sdk_build_prop_remove); do \
				echo "$$x"generic >> $@.tmp; done
	$(hide) mv $@.tmp $@

# -----------------------------------------------------------------
# package stats
PACKAGE_STATS_FILE := $(PRODUCT_OUT)/package-stats.txt
PACKAGES_TO_STAT := \
    $(sort $(filter $(TARGET_OUT)/% $(TARGET_OUT_DATA)/%, \
	$(filter %.jar %.apk, $(ALL_DEFAULT_INSTALLED_MODULES))))
$(PACKAGE_STATS_FILE): $(PACKAGES_TO_STAT)
	@echo Package stats: $@
	@mkdir -p $(dir $@)
	$(hide) rm -f $@
	$(hide) build/tools/dump-package-stats $^ > $@

.PHONY: package-stats
package-stats: $(PACKAGE_STATS_FILE)

# -----------------------------------------------------------------
# Cert-to-package mapping.  Used by the post-build signing tools.
# Use a macro to add newline to each echo command
define _apkcerts_echo_with_newline
$(hide) echo $(1)

endef

name := $(TARGET_PRODUCT)
ifeq ($(TARGET_BUILD_TYPE),debug)
  name := $(name)_debug
endif
name := $(name)-apkcerts-$(FILE_NAME_TAG)
intermediates := \
	$(call intermediates-dir-for,PACKAGING,apkcerts)
APKCERTS_FILE := $(intermediates)/$(name).txt
# We don't need to really build all the modules.
# TODO: rebuild APKCERTS_FILE if any app change its cert.
$(APKCERTS_FILE):
	@echo APK certs list: $@
	@mkdir -p $(dir $@)
	@rm -f $@
	$(foreach p,$(PACKAGES),\
	  $(if $(PACKAGES.$(p).EXTERNAL_KEY),\
	    $(call _apkcerts_echo_with_newline,\
	      'name="$(p).apk" certificate="EXTERNAL" \
	      private_key=""' >> $@),\
	    $(call _apkcerts_echo_with_newline,\
	      'name="$(p).apk" certificate="$(PACKAGES.$(p).CERTIFICATE)" \
	      private_key="$(PACKAGES.$(p).PRIVATE_KEY)"' >> $@)))
	# In case value of PACKAGES is empty.
	$(hide) touch $@

.PHONY: apkcerts-list
apkcerts-list: $(APKCERTS_FILE)

ifneq (,$(TARGET_BUILD_APPS))
  $(call dist-for-goals, apps_only, $(APKCERTS_FILE):apkcerts.txt)
endif

# -----------------------------------------------------------------
# module info file
ifdef CREATE_MODULE_INFO_FILE
  MODULE_INFO_FILE := $(PRODUCT_OUT)/module-info.txt
  $(info Generating $(MODULE_INFO_FILE)...)
  $(shell rm -f $(MODULE_INFO_FILE))
  $(foreach m,$(ALL_MODULES), \
    $(shell echo "NAME=\"$(m)\"" \
	"PATH=\"$(strip $(ALL_MODULES.$(m).PATH))\"" \
	"TAGS=\"$(strip $(filter-out _%,$(ALL_MODULES.$(m).TAGS)))\"" \
	"BUILT=\"$(strip $(ALL_MODULES.$(m).BUILT))\"" \
	"INSTALLED=\"$(strip $(ALL_MODULES.$(m).INSTALLED))\"" >> $(MODULE_INFO_FILE)))
endif

## android 20160330-0939

=== debian/changelog ===
android (20160330-0939-0ubuntu1) xenial; urgency=medium

  * New upstream release:
    - Fixes fr new adb implementation which uses a verified and
      secure transport.
  * debian/patches/0001-adb-support-for-mako-flo.patch:
    - Drop patch which is now part of the new upstream release.

 -- Simon Fels <simon.fels@canonical.com>  Wed, 30 Mar 2016 12:10:09 +0200

android (20160324-1016-0ubuntu7) xenial; urgency=medium

  * debian/patches/0001-Fix-adb-support-for-mako-flo.patch:
    - Import two fixes and bypass generation of a new upstream
      tarball to not defer landing those things much further.

 -- Simon Fels <simon.fels@canonical.com>  Sat, 26 Mar 2016 11:50:19 +0100

android (20160324-1016-0ubuntu6) vivid; urgency=medium

  * New upstream release:
    - Add support for new adb implementation which properly negotiates
      a secure connection with the host and asks the user to acknowlege
      any incoming connection.

 -- Simon Fels <simon.fels@canonical.com>  Thu, 24 Mar 2016 11:40:13 +0100

android (20160307-0742-0ubuntu5) xenial; urgency=medium

  * debian/rules:
    - Don't remove libhybris/platform-api anymore as we're now using
      the include source trees for both.

 -- Simon Fels <simon.fels@canonical.com>  Mon, 21 Mar 2016 13:59:37 +0100

android (20160307-0742-0ubuntu4) xenial; urgency=medium

  * debian/rules:
    - Don't fetch libhybris/platform-api from the archive/ppa anymore
      as we now ship a up-to-date copy with the source tarball which
      is updated in sync with all other target devices we have and
      is not necessarily in sync with what is in the archive/ppa
      timing wise.

 -- Simon Fels <simon.fels@canonical.com>  Mon, 21 Mar 2016 11:12:38 +0100

android (20160307-0742-0ubuntu3) xenial; urgency=medium

  * Version bump for overcome burned version number in our
    landing ppa.

 -- Simon Fels <simon.fels@canonical.com>  Mon, 07 Mar 2016 13:23:10 +0100

android (20160307-0742-0ubuntu2) vivid; urgency=medium

  * New upstream release:
    - Fixing vulnerability in our system-image-upgrader script which leds
      tarballs bypass signature checks if they are constructed in a
      specific way (LP: #1506887).
    - Switched to a central repository to pull changes for platform-api
      from to stay in sync with recent changes more easily.
    - Upgrade to libhybris release stable-20160302.1
    - Redesign of the recovery visuals
    - Added progress reporting for recovery animation and additional
      assets specific for flo.
    - Fix touch screen emulation by removing mouse emulation to get the
      emulator back working.
  * debian/control:
    - Switch to git based packaging repository and noted this in as new
      vcs repository in our packaging.

 -- Simon Fels <simon.fels@canonical.com>  Mon, 07 Mar 2016 07:15:57 +0100

android (20160107-1211-0ubuntu5) vivid; urgency=medium

  * debian/android-targets:
    - Remove manta and hammerhead support as we're not using those as any
      official products, wasting the kernel's team time for unnecessary
      maintenance.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Wed, 24 Feb 2016 17:03:12 +0100

android (20160107-1211-0ubuntu4) vivid; urgency=medium

  * New upstream release:
    - extended camera support to be able to use it within the web browser.

 -- Simon Fels <simon.fels@canonical.com>  Thu, 07 Jan 2016 14:31:48 +0100

android (20150818-1500-0ubuntu3) vivid; urgency=medium

  * debian/patches/using_wily_by_default.patch:
    - Drop accidentially added patch
  * debian/rules:
    - Switch back to vivid as distribution
    - Use --no-all-versions for apt-cache to avoid build failures due to
      multiple versions being available for one package where we're only
      interested in the candidate version.

 -- Simon Fels <simon.fels@canonical.com>  Mon, 07 Sep 2015 09:08:05 +0200

android (20150818-1500-0ubuntu2) vivid; urgency=medium

  * Rebuild for newer kernels.

 -- Simon Fels <simon.fels@canonical.com>  Thu, 03 Sep 2015 08:57:17 +0200

android (20150818-1500-0ubuntu1) vivid; urgency=medium

  * New upstream release:
    - add support for camera trust store integration

 -- Simon Fels <simon.fels@canonical.com>  Wed, 19 Aug 2015 08:23:45 +0200

android (20150805-1538-0ubuntu1) vivid; urgency=medium

  * New upstream release:
    - fix critical bug with userdata erase when files to backup/restore
      doesn't exist. Happens especially on devices installed the first
      time with Ubuntu.

 -- Simon Fels <simon.fels@canonical.com>  Thu, 06 Aug 2015 09:20:27 +0200

android (20150731-1420-0ubuntu1) vivid; urgency=medium

  * New upstream release:
    - whitelist certain files which should not be deleted when formatting the
      userdata partition.

 -- Simon Fels <simon.fels@canonical.com>  Mon, 03 Aug 2015 12:57:16 +0200

android (20150706-1040-0ubuntu1) vivid; urgency=medium

  * New upstream release:
    - system-image-upgrader: correctly format userdata partition

 -- Simon Busch <simon.busch@canonical.com>  Mon, 06 Jul 2015 14:39:03 +0200

android (20150519-2220-0ubuntu5) vivid; urgency=medium

  * android-targets: dropping grouper support, no kernel for it anymore in the
    archive

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Wed, 20 May 2015 23:21:23 -0300

android (20150519-2220-0ubuntu4) vivid; urgency=medium

  * debian/control: adding missing cpio as build-dep

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Wed, 20 May 2015 01:05:38 -0300

android (20150519-2220-0ubuntu3) vivid; urgency=medium

  * debian/control: adding kmod as build-dep (for depmod)

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Wed, 20 May 2015 00:32:52 -0300

android (20150519-2220-0ubuntu2) vivid; urgency=medium

  * debian/patches/using_vivid_by_default.patch:
    - Using vivid when fetching and using the external components

 -- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com>  Tue, 19 May 2015 20:57:43 -0300



=== debian/control ===
--- 
+++ 
@@ -16,6 +16,8 @@
   python-markdown, libxml2-utils, xsltproc, zlib1g-dev, schedtool,
   patchutils, quilt, lsb-release, android-src-vendor (>= 6)
 Standards-Version: 3.9.4
+Vcs-Git: https://git.launchpad.net/~phablet-team/android/+git/android
+Vcs-Browser: https://git.launchpad.net/~phablet-team/android/+git/android/
 
 Package: android
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -23,15 +23,12 @@
 getkernel = $(shell egrep "^$(1)\s" debian/android-targets | awk -F' ' '{print $$3}')
 getarch = $(shell egrep "^$(1)\s" debian/android-targets | awk -F' ' '{print $$4}')
 
-# Forcing dist to wily as we're still building this package on a utopic PPA (arch:all needs amd64 on vivid)
-# dist=$(DEB_DISTRIBUTION)
-dist=wily
+dist=$(DEB_DISTRIBUTION)
 
 export BUILD_ID=$(dist)
 export BUILD_NUMBER=$(DEB_VERSION)
 
 DEVICES = $(shell egrep "^[a-z]" debian/android-targets | awk -F' ' '{print $$1}' | xargs echo)
-SRC ?= libhybris platform-api
 
 device = $(basename $(notdir $@))
 
@@ -64,7 +61,6 @@
 	# echo "deb-src $(LANDING_URL) $(dist) main" >> repo/$(dist)/etc/apt/sources.list
 	cat repo/$(dist)/etc/apt/sources.list
 	chdist --data-dir $(CURDIR)/repo apt-get $(dist) update
-	cd repo/$(dist) && chdist --data-dir $(CURDIR)/repo --arch armhf apt-get $(dist) --allow-unauthenticated source $(SRC)
 	cd repo/$(dist) && chdist --data-dir $(CURDIR)/repo --arch armhf apt-get $(dist) download ubuntu-touch-generic-initrd:armhf initramfs-tools-ubuntu-touch:armhf
 	cd repo/$(dist) && chdist --data-dir $(CURDIR)/repo --arch i386 apt-get $(dist) download ubuntu-touch-generic-initrd:i386 initramfs-tools-ubuntu-touch:i386
 	mkdir -p stamps && touch $@
@@ -79,10 +75,6 @@
 	mkdir -p stamps && touch $@
 
 stamps/prepare-android: stamps/chdist
-	rm -rf ubuntu/libhybris ubuntu/platform-api
-	cp -r repo/$(dist)/libhybris-* ubuntu/libhybris
-	rm -rf ubuntu/libhybris/.pc
-	cp -r repo/$(dist)/platform-api-* ubuntu/platform-api
 	rm -rf vendor
 	cp -r /usr/src/android/vendor .
 	mkdir -p stamps && touch $@
@@ -100,7 +92,7 @@
 build-indep:
 
 override_dh_auto_clean:
-	rm -rf stamps out repo ubuntu/platform-api ubuntu/libhybris debian/intall vendor
+	rm -rf stamps out repo debian/intall vendor
 	rm -rf debian/$(DEB_SOURCE).copyright
 
 override_dh_auto_install:
@@ -153,3 +145,8 @@
 	tar --exclude-vcs --transform='s,^,$(DEB_SOURCE)-$(DEB_VERSION_UPSTREAM)/,S' -caf ../$(DEB_SOURCE)_$(DEB_VERSION_UPSTREAM).orig.tar.xz $(SOURCES)
 
 copyright:
+	cp debian/copyright.header debian/copyright
+	find $(if $(COPYRIGHT_ALL),.,$(SOURCES)) -name NOTICE | xargs -L1 ./debian/notice.sh >> $(if $(COPYRIGHT_ALL),debian/$(DEB_SOURCE).copyright,debian/copyright)
+	$(if $(COPYRIGHT_ALL),cp debian/$(DEB_SOURCE).copyright debian/android-copyright.copyright)
+
+.PHONY: build build-arch build-indep get-orig-source copyright

## android inspector-0.2.0

=== Makefile ===
# SPDX-License-Identifier: Apache-2.0
#
# Copyright (c) nexB Inc. and others. All rights reserved.
# ScanCode is a trademark of nexB Inc.
# SPDX-License-Identifier: Apache-2.0
# See http://www.apache.org/licenses/LICENSE-2.0 for the license text.
# See https://github.com/aboutcode-org/android-inspector for support or download.
# See https://aboutcode.org for more information about nexB OSS projects.
#

# Python version can be specified with `$ PYTHON_EXE=python3.x make conf`
PYTHON_EXE?=python3
VENV=venv
ACTIVATE?=. ${VENV}/bin/activate;

dev:
	@echo "-> Configure the development envt."
	./configure --dev

isort:
	@echo "-> Apply isort changes to ensure proper imports ordering"
	${VENV}/bin/isort --sl -l 100 src tests setup.py

black:
	@echo "-> Apply black code formatter"
	${VENV}/bin/black -l 100 src tests setup.py

doc8:
	@echo "-> Run doc8 validation"
	@${ACTIVATE} doc8 --max-line-length 100 --ignore-path docs/_build/ --quiet docs/

valid: isort black

check:
	@echo "-> Run pycodestyle (PEP8) validation"
	@${ACTIVATE} pycodestyle --max-line-length=100 --exclude=.eggs,venv,lib,thirdparty,docs,migrations,settings.py,.cache,etc .
	@echo "-> Run isort imports ordering validation"
	@${ACTIVATE} isort --sl --check-only -l 100 setup.py src tests
	@echo "-> Run black validation"
	@${ACTIVATE} black --check --check -l 100 src tests setup.py

check_docs:
	@echo "Check Sphinx Documentation build minimally"
	@${ACTIVATE} sphinx-build -E -W docs/source build
	@echo "Check for documentation style errors"
	@${ACTIVATE} doc8 --max-line-length 100 docs/source --ignore D000 --quiet

clean:
	@echo "-> Clean the Python env"
	./configure --clean

test:
	@echo "-> Run the test suite"
	@${ACTIVATE} ${PYTHON_EXE} -m pytest -vvs --ignore src/android_inspector/pipelines/android_d2d.py

docs:
	rm -rf docs/_build/
	@${ACTIVATE} sphinx-build docs/ docs/_build/

.PHONY: conf dev check valid black isort clean test docs

## android notepad-notepad-app-level-11-f3b1304

=== notepad-app-level-11/Makefile ===
RELEASE_PROFILE=android-release

all : package

#################### build

compile : 
	mvn $@

gen : 
	mvn android:generate-sources

package : 	
	mvn $@

release : 	
	mvn clean && mvn -P$(RELEASE_PROFILE) package 

install :
	mvn $@

deploy : 
	mvn package android:deploy

undeploy : 
	mvn android:undeploy

rebuild :
	mvn clean package

redeploy :
	mvn clean package android:deploy

#################### document
site :
	mvn $@

#################### emulator

start : 
	mvn android:emulator-start

stop : 
	mvn android:emulator-stop

####################
dist : 
	mvn assembly:assembly

clean : 
	mvn $@
